PSOC E8XXGP Device Support Library

| PSOC E8XXGP Device Support Library

Functions
Status Functions
PDL API Reference » AUTONOMOUS ANALOG (Autonomous Analog Block) » SAR ADC (Successive-Approximation Register Analog to Digital Converter) » Functions

## General Description

## Functions
__STATIC_INLINE uint8_t | Cy_AutAnalog_SAR_GetHSchanLimitStatus (uint8_t sarIdx)
| Provides the range detect status for the ADC GPIO channels. More...
__STATIC_INLINE void | Cy_AutAnalog_SAR_ClearHSchanLimitStatus (uint8_t sarIdx, uint8_t chMask)
| Clears the range detect status for the ADC GPIO channels. More...
__STATIC_INLINE uint8_t | Cy_AutAnalog_SAR_GetHSchanResultStatus (uint8_t sarIdx)
| Provides the result updated status for the ADC GPIO channels. More...
__STATIC_INLINE void | Cy_AutAnalog_SAR_ClearHSchanResultStatus (uint8_t sarIdx, uint8_t chMask)
| Clears the result update status for the ADC GPIO channels. More...
__STATIC_INLINE uint16_t | Cy_AutAnalog_SAR_GetMuxChanLimitStatus (uint8_t sarIdx)
| Provides the range detect status for the ADC MUX channels. More...
__STATIC_INLINE void | Cy_AutAnalog_SAR_ClearMuxChanLimitStatus (uint8_t sarIdx, uint16_t chMask)
| Clears the range detect status for the ADC MUX channels. More...
__STATIC_INLINE uint16_t | Cy_AutAnalog_SAR_GetMuxChanResultStatus (uint8_t sarIdx)
| Provides a result updated status for the ADC MUX channels. More...
__STATIC_INLINE void | Cy_AutAnalog_SAR_ClearMuxChanResultStatus (uint8_t sarIdx, uint16_t chMask)
| Clears the result update status for the ADC MUX channels. More...

## Function Documentation

## ◆ Cy_AutAnalog_SAR_GetHSchanLimitStatus()

__STATIC_INLINE uint8_t Cy_AutAnalog_SAR_GetHSchanLimitStatus | ( | uint8_t | sarIdx | ) |

Provides the range detect status for the ADC GPIO channels.

The ADC sets this bit for each channel when the conversion result (or averaging result) of that channel meets the condition specified by the cy_stc_autanalog_sar_hs_chan_t::hsLimit and configured in cy_stc_autanalog_sar_sta_t::limitCond.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Returns
  The range detect status for the GPIO channels. Compare this value with one of the masks for the GPIO channels.

Note
  Under invalid ADC index, "zero" returns in the result.

## ◆ Cy_AutAnalog_SAR_ClearHSchanLimitStatus()

__STATIC_INLINE void Cy_AutAnalog_SAR_ClearHSchanLimitStatus | ( | uint8_t | sarIdx,
|  | uint8_t | chMask
| ) |  |

Clears the range detect status for the ADC GPIO channels.

See Cy_AutAnalog_SAR_GetHSchanLimitStatus

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Note
  Under invalid ADC index, the function has no effect.

Parameters

  chMask | The combined mask for the GPIO channels that require a reset of their range detection status.

## ◆ Cy_AutAnalog_SAR_GetHSchanResultStatus()

__STATIC_INLINE uint8_t Cy_AutAnalog_SAR_GetHSchanResultStatus | ( | uint8_t | sarIdx | ) |

Provides the result updated status for the ADC GPIO channels.

The ADC sets this bit for each channel if that particular channel was sampled during the previous scan and reached the averaging count.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Returns
  The result update status for the GPIO channels. Compare this value with one of the masks for the GPIO channels.

Note
  Under invalid ADC index, "zero" returns in the result.

## ◆ Cy_AutAnalog_SAR_ClearHSchanResultStatus()

__STATIC_INLINE void Cy_AutAnalog_SAR_ClearHSchanResultStatus | ( | uint8_t | sarIdx,
|  | uint8_t | chMask
| ) |  |

Clears the result update status for the ADC GPIO channels.

See Cy_AutAnalog_SAR_GetHSchanResultStatus

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Note
  Under invalid ADC index, the function has no effect.

Parameters

  chMask | The combined mask for the GPIO channels that require a reset of their result update status.

## ◆ Cy_AutAnalog_SAR_GetMuxChanLimitStatus()

__STATIC_INLINE uint16_t Cy_AutAnalog_SAR_GetMuxChanLimitStatus | ( | uint8_t | sarIdx | ) |

Provides the range detect status for the ADC MUX channels.

The ADC sets this bit for each channel when the conversion result (or averaging result) of that channel meets the condition specified by the cy_stc_autanalog_sar_mux_chan_t::muxLimit and configured in cy_stc_autanalog_sar_sta_t::limitCond.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Returns
  The range detect status for the MUX channels. Compare this value with one of the masks for the MUX channels.

Note
  Under invalid ADC index, "zero" returns in the result.

## ◆ Cy_AutAnalog_SAR_ClearMuxChanLimitStatus()

__STATIC_INLINE void Cy_AutAnalog_SAR_ClearMuxChanLimitStatus | ( | uint8_t | sarIdx,
|  | uint16_t | chMask
| ) |  |

Clears the range detect status for the ADC MUX channels.

See Cy_AutAnalog_SAR_GetMuxChanLimitStatus

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Note
  Under invalid ADC index, the function has no effect.

Parameters

  chMask | The combined mask for MUX channels that require a reset of their range detect status.

## ◆ Cy_AutAnalog_SAR_GetMuxChanResultStatus()

__STATIC_INLINE uint16_t Cy_AutAnalog_SAR_GetMuxChanResultStatus | ( | uint8_t | sarIdx | ) |

Provides a result updated status for the ADC MUX channels.

The ADC sets this bit for each channel if that particular channel was sampled during the previous scan and reached the averaging count.

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Returns
  The result update status for the MUX channels. Compare this value with one of the masks for the MUX channels.

Note
  Under invalid ADC index, "zero" returns in the result.

## ◆ Cy_AutAnalog_SAR_ClearMuxChanResultStatus()

__STATIC_INLINE void Cy_AutAnalog_SAR_ClearMuxChanResultStatus | ( | uint8_t | sarIdx,
|  | uint16_t | chMask
| ) |  |

Clears the result update status for the ADC MUX channels.

See Cy_AutAnalog_SAR_GetMuxChanResultStatus

Parameters

  sarIdx | The index of the ADC subsystem within the Autonomous Analog, see cy_stc_autanalog_cfg_t::sar.

Note
  Under invalid ADC index, the function has no effect.

Parameters

  chMask | The combined mask for the MUX channels that require a reset of their result update status.